KOBJECT_GET_PATH(9)

NAME
kobject_get_path - generate and return the path associated with a given kobj and kset pair.

SYNOPSIS

char * kobject_get_path(struct kobject * kobj, gfp_t gfp_mask);

ARGUMENTS

kobj
    kobject in question, with which to build the path

gfp_mask
    the allocation type used to allocate the path

DESCRIPTION

The result must be freed by the caller with kfree.

COPYRIGHT